Skip to main content
POST
/
v2
/
users
Create a user
curl --request POST \
  --url https://production.hifibridge.com/v2/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "individual",
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "dateOfBirth": "2023-12-25",
  "signedAgreementId": "<string>",
  "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "chains": [],
  "ipAddress": "127.0.0.1"
}
'
import requests

url = "https://production.hifibridge.com/v2/users"

payload = {
"type": "individual",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"dateOfBirth": "2023-12-25",
"signedAgreementId": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chains": [],
"ipAddress": "127.0.0.1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'individual',
firstName: '<string>',
lastName: '<string>',
email: '<string>',
dateOfBirth: '2023-12-25',
signedAgreementId: '<string>',
requestId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
chains: [],
ipAddress: '127.0.0.1'
})
};

fetch('https://production.hifibridge.com/v2/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "4d93ab4f-3983-4ac0-8c97-54bbc0f287fa",
  "createdAt": "2025-09-24T19:12:20.541Z",
  "type": "individual",
  "email": "john.doe@hifibridge.com",
  "name": "John Doe",
  "wallets": {
    "INDIVIDUAL": {
      "ETHEREUM": {
        "id": "24b4917d-694e-4d81-ace8-9ba0261b6f4e",
        "address": "0x43B343Bb48E23F58406271131B71448fF95787AD"
      },
      "POLYGON": {
        "id": "24b4917d-604e-4d81-ace8-9ba0261b6f4e",
        "address": "0x43B343Bb48E23F58406271131B71448fF95787AD"
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
type
enum<string>
required
Available options:
individual
firstName
string
required
lastName
string
required
email
string
required
dateOfBirth
string<date>
required

Date of birth in format yyyy-mm-dd.

signedAgreementId
string
required

ID of the signed agreement, fetched through the HIFI's Hosted Terms of Service Link POST /tos-link

requestId
string<uuid>

Request ID for user creation. If not provided, a random UUID will be generated. Using the same requestId will result in the same user being returned.

chains
enum<string>[]

The chains to create wallets for, default to POLYGON and ETHEREUM.

Available options:
POLYGON,
ETHEREUM,
SOLANA,
BASE,
BSC,
FLOW_EVM,
CANTON,
TRON
address
object

Address of the user.

Either the address or the ipAddress must be provided.

ipAddress
string<ipv4>

IP address of the user.

Either the address or the ipAddress must be provided.

Response

Success

id
string<uuid>

User ID

createdAt
string<date-time>

Data and time when the user was created

type
string
email
string
name
string
wallets
object